org.apache.xmlgraphics.java2d

## Class TransformStackElement

- java.lang.Object
- - org.apache.xmlgraphics.java2d.TransformStackElement

- All Implemented Interfaces:
    java.lang.Cloneable

      public abstract class TransformStackElement
      extends java.lang.Object
      implements java.lang.Cloneable

  Contains a description of an elementary transform stack element, such as a rotate or translate. A transform stack element has a type and a value, which is an array of double values.
  Version:
    $Id: TransformStackElement.java 1732018 2016-02-24 04:51:06Z gadams $ Originally authored by Vincent Hardy and Paul Evenblij.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransformStackElement(TransformType type, double[] transformParameters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `boolean` | `concatenate(TransformStackElement stackElement)`
    `static TransformStackElement` | `createGeneralTransformElement(java.awt.geom.AffineTransform txf)`
    `static TransformStackElement` | `createRotateElement(double theta)`
    `static TransformStackElement` | `createScaleElement(double scaleX, double scaleY)`
    `static TransformStackElement` | `createShearElement(double shearX, double shearY)`
    `static TransformStackElement` | `createTranslateElement(double tx, double ty)`
    `double[]` | `getTransformParameters()`
    `TransformType` | `getType()`
    `boolean` | `isIdentity()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformStackElement

          protected TransformStackElement(TransformType type,
                                          double[] transformParameters)

      Parameters:
        `type` - transform type
        `transformParameters` - parameters for transform

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        an object which is a deep copy of this one

    - #### createTranslateElement

          public static TransformStackElement createTranslateElement(double tx,
                                                                     double ty)

    - #### createRotateElement

          public static TransformStackElement createRotateElement(double theta)

    - #### createScaleElement

          public static TransformStackElement createScaleElement(double scaleX,
                                                                 double scaleY)

    - #### createShearElement

          public static TransformStackElement createShearElement(double shearX,
                                                                 double shearY)

    - #### createGeneralTransformElement

          public static TransformStackElement createGeneralTransformElement(java.awt.geom.AffineTransform txf)

    - #### isIdentity

          public boolean isIdentity()

      Returns:
        true iff this transform is the identity transform

    - #### getTransformParameters

          public double[] getTransformParameters()

      Returns:
        array of values containing this transform element's parameters

    - #### getType

          public TransformType getType()

      Returns:
        this transform type

    - #### concatenate

          public boolean concatenate(TransformStackElement stackElement)

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.